{
  "compilerOptions": {
    "target": "ESNext",
    "useDefineForClassFields": true,
    "module": "ESNext",
    "moduleResolution": "Node",
    "strict": true,
    "jsx": "preserve",
    "sourceMap": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "esModuleInterop": true,
    "lib": ["ESNext", "DOM"],
    "skipLibCheck": true,
    "types": ["element-plus/global", "vite/client"],
    "allowJs": true,
    //解析非相对模块的基础地址，默认是当前目录
    "baseUrl": "./",
    //路径映射，相对于baseUrl
    "paths": {
      "@/*": ["./src/*"]
    },
    "outDir": "./dist"
  },
  "include": [
    "src/**/*.ts",
    "src/**/*.d.ts",
    "src/**/*.tsx",
    "src/**/*.vue",
    "auto-imports.d.ts"
  ],
  "references": [{ "path": "./tsconfig.node.json" }]
}
